#include <stdio.h>
#include <stdlib.h>
#include <sys/shm.h>
#include <time.h>
#include <unistd.h>
#include "consumer.h"
#include "producer.h"
#include "shared.h"

int GetSplitAmount(char* argv);
void TestProducerConsumer(void);

int main(int argc, char* argv[])
{
    srand(time(NULL));
    sharedMem testMemory;
    
    int splitLimit = 1;
    if (argc == 2)
        splitLimit = GetSplitAmount(argv[1]);
    TestProducerConsumer();
}

int GetSplitAmount(char* argv)
{
    int splitAmount;
    sscanf(argv, "%d", &splitAmount);
    return splitAmount;
}

void TestProducerConsumer(void)
{
    Producer(NULL);
    Consumer(NULL);
}
